
package SHARK2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class appupdater implements IRemote{
	public static appupdater mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public appupdater() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("appupdater"), "SHARK2.keymon.com.mx.appupdater");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("SHARK2.keymon.com.mx.appupdater");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, appupdater.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _lnk = RemoteObject.createImmutable("");
public static RemoteObject _nnewapp = RemoteObject.declareNull("anywheresoftware.b4a.objects.NotificationWrapper");
public static RemoteObject _nnewappnid = RemoteObject.createImmutable(0);
public static RemoteObject _nativeme = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
public static RemoteObject _n2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.NotificationWrapper");
public static RemoteObject _n2id = RemoteObject.createImmutable(0);
public static RemoteObject _sharedfolder = RemoteObject.createImmutable("");
public static RemoteObject _usefileprovider = RemoteObject.createImmutable(false);
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _newapp = RemoteObject.declareNull("SHARK2.keymon.com.mx.appupdater._mnewversion");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"B4XCollections",Debug.moduleToString(SHARK2.keymon.com.mx.b4xcollections.class),"B4XPages",Debug.moduleToString(SHARK2.keymon.com.mx.b4xpages.class),"DateUtils",appupdater.mostCurrent._dateutils,"HttpUtils2Service",Debug.moduleToString(SHARK2.keymon.com.mx.httputils2service.class),"lnk",appupdater._lnk,"Main",Debug.moduleToString(SHARK2.keymon.com.mx.main.class),"MAPA_CLIENTE",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_cliente.class),"MAPA_RUTAS",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_rutas.class),"n2",appupdater._n2,"n2ID",appupdater._n2id,"nativeMe",appupdater._nativeme,"newApp",appupdater._newapp,"newinst2",Debug.moduleToString(SHARK2.keymon.com.mx.newinst2.class),"nNewApp",appupdater._nnewapp,"nNewAppnID",appupdater._nnewappnid,"NotificationService",Debug.moduleToString(SHARK2.keymon.com.mx.notificationservice.class),"Pendientes",Debug.moduleToString(SHARK2.keymon.com.mx.pendientes.class),"rp",appupdater._rp,"Service",appupdater.mostCurrent._service,"SharedFolder",appupdater._sharedfolder,"Starter",Debug.moduleToString(SHARK2.keymon.com.mx.starter.class),"Subs",Debug.moduleToString(SHARK2.keymon.com.mx.subs.class),"Tracker",Debug.moduleToString(SHARK2.keymon.com.mx.tracker.class),"UseFileProvider",appupdater._usefileprovider,"XUIViewsUtils",Debug.moduleToString(SHARK2.keymon.com.mx.xuiviewsutils.class)};
}
}